:root {

    --color-primary: #fbd693;  /*e58425*/
    --color-secondary: #0e2841;
    --color-accent: #fbd693;
    --color-headings: #1f1a17;
    --color-body: #918ca4;
    --color-body-darker: #5c5577;
    --color-border: #e58425;
    --border-radius: 30px;
}

*, 
*::after,
*::before {
    box-sizing: border-box;
}

html, body {
    height: 100%;
    margin: 0;
    display: flex;
    flex-direction: column;
  }

.video-container {
    display: flex;
    justify-content: center;
  }
.form-group {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.dashboard{ 
    font-size: 30px;      
    font-family: sans-serif;
    margin: 40px;
    text-align: center;}

.dashboard-container {
    display: flex;
    flex: 1;
    padding: 1rem;
    flex-direction: column;
    align-items: center;
}

.dashboard-select{
    margin-bottom: 2rem;
    font-size: 1.8rem;
    padding: 0.5rem;
    border-radius: 10px; 
    color: var(--color-headings);

}
    #output-container {
        display: flex;
        justify-content: center;
        margin-top: 20px;
        max-width: 100%;
        overflow-wrap: break-word;
        white-space: pre-wrap;
      }
      
      #log-output {
        background-color: #f5f5f5;
        padding: 20px;
        border: 2px solid #ccc;
        border-radius: 10px;
        width: 100%;
        max-width: 800px;
        font-family: monospace;
        white-space: pre-wrap;       /* zorgt voor afbreken */
        word-wrap: break-word;
        overflow-wrap: break-word;
        box-sizing: border-box;
      }
      
      pre#log-output {
        max-height: 600px;
        overflow-y: auto;
        background-color: #f9f9f9;
  border: 1px solid #ddd;
  padding: 1rem;

      }

.dashboard-button{
    background-color: var(--color-secondary);
    color: #fff;
    border: 2px solid var(--color-secondary);
    padding: 10px 20px;
    border-radius: 15px;
    cursor: pointer;
    font-size: 1.8rem;
    transition: background-color 0.3s ease;
}

button:disabled,
.dashboard-button:disabled {
  opacity: 0.5;
  cursor: not-allowed;
}


.form__input {
    display: block;
    width: 100%;
    padding: 0.75rem;
    font-size: 1.5rem;
    border: 1px solid #ccc;
    border-radius: 0.25rem;
    background-color: #fff;
    color: #333;
    box-sizing: border-box;
    transition: border-color 0.3s ease, box-shadow 0.3s ease;
    height: 4rem;
  }
  
  /* Optioneel: Zorg dat ook het wachtwoord-veld geen afwijkende styling meekrijgt */
  input[type="password"].form__input,
  input[type="email"].form__input {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
  }
  

/* Typography */
::selection{
    background: var(--color-primary);
    color: #fff;
}

html{
    /* 62.5% of 16px = 10px */
    font-size: 62.5%;
} 

body{

    flex: 1;
    font-family: Inter, Arial, Arial, Helvetica, sans-serif;
    font-size: 2.4rem;
    line-height: 1.5;
    color: var(--color-body)

}
h1, h2, h3{

    color: var(--color-headings);
    margin-bottom: 1rem;
    line-height: 1.1;
}

h1{
    /* 1 x font size of the html element so, 1 rem is 10 px*/
    font-size: 7rem;
}

h2{
    font-size: 4rem;
}

h3{
    
    font-size: 5rem; 
    font-weight: 500;

}

p{

    margin-top: 0;
}

@media screen and (min-width:1024px){

    body{

        font-size: 1.8rem;

    }
    
    h1{
        font-size: 8rem;
    }
    
    h2{
        font-size: 4rem;
    }
    
    h3{
        font-size: 2.4rem;
    }
}

/* Links */
a{
    text-decoration: none;
}

.link-arrow{

    color: var(--color-accent);
    text-transform: uppercase;
    font-size: 2rem;
    font-weight: bold;
}

.link-arrow::after{
    content: "-->";
    margin-left: 5px;
    transition: margin 0.15s;

}

.link-arrow:hover::after{
    margin-left: 10px;

}

@media screen and (min-width:1024px) {

    .link-arrow{
        font-size: 1.5rem;
    }
}

/* Badges */

.badge{
border-radius: 20px;
font-size: 2rem;
font-weight: 600;
padding: 0.5rem 2rem;
white-space: nowrap;

}

.badge--primary{

    background: var(--color-primary);
    color: #fff;
}

.badge--secondary{

    background: var(--color-secondary);
    color: #fff;
}

.badge--small{
    font-size: 1.6rem;
    padding: 0.5rem 1.5rem;
    }

    @media screen and (min-width:1024px) {

        .badge{
            font-size: 1.5rem;
        }

        .badge--small{
            font-size: 1.2rem;
        }


    }

/* List */

.list{
    list-style: none;
    padding-left: 0;

}

.list--inline .list__item{
    display: inline-block;
    margin-right: 2rem;

}

.list--tick{
  list-style-image: url(../images/tick.svg);
  padding-left: 3rem;
  color: var(--color-headings);

}

.list--tick .list__item {

    padding-left: 0.5rem;
    margin-bottom: 1rem;
}

@media screen and (min-width:1024px) {

.list--tick .list__item{

    padding-left: 0;
}

}

/*icons*/

.icon{
    width: 40px;
    height: 40px;
}

.icon--small{
    width: 30px;
    height: 30px;
}



.icon--primary{

    fill: var(--color-primary);
}

.icon--white{
    fill: #fff;
}

.icon-container {
    background: #f3f9fa;
    width: 64px;
    height: 64px;
    border-radius: 100%;
    display: inline-flex;
    justify-content: center;
    align-items: center;
}

.icon-container--accent{
    background: var(--color-accent);
}

.fa-solid{
    color: var(--color-accent);
    font-size: 3rem;
}


/*buttons*/

.btn{
    border-radius: 40px;
    border: 0;
    cursor: pointer;
    font-size: 1.8rem;
    font-weight: 600;
    margin: 1rem 0;
    outline: 0;
    padding: 2rem 4vw;
    text-align: center;
    text-transform: uppercase;
    white-space: nowrap;
}

.btn .icon{
    width: 2rem;
    height: 2rem;
    margin-right: 1rem;
    vertical-align: middle;

}

.btn--primary {
    background: var(--color-primary);
    color: #fff;
}

.btn--primary:hover{
    background:  #fbd693; 
      
}

.btn--secondary {
    background: var(--color-secondary);
    color: #fff;
}

.btn--secondary:hover{
    background:  #616060; 
      
}

.btn--accent{
    background: var(--color-accent);
    color: #fff;

}

.btn--accent:hover{
    background:  #fbd693; 
      
}

.btn--block {
    width: 100%;
    display: inline-block;
}

.btn--outline{
    background: #fff;
    color: var(--color-headings);
    border:  2px solid var(--color-primary);
    margin: 2rem 0;

}

.btn--outline:hover{
    background:  #fbd693;
    color: #fff; 
      
}

.btn--stretched{
    padding-left: 6rem;
    padding-right: 6rem;
}

.btn-offerte{
    margin-top: 1rem;
}

@media screen and (min-width:1024px) {

    .btn{
        font-size: 1.5rem;
    }
    
    }
/*inputs*/

.input{
    border-radius: var(--border-radius);
    border: 1px solid var(--color-border);
    color: var(--color-headings);
    font-size: 2rem;
    outline: 0;
    padding: 1.5rem 3.5rem;
}

::placeholder{
color: #cdcbd7;
}

.input-group{
    border: 1px solid var(--color-border);
    border-radius: var(--border-radius);
    display: flex;
}

.input-group .input{
border: 0;
flex-grow: 1;
padding: 1.5rem 2rem;
width: 0;
}

.input-group .btn{
margin: 3px;

}

@media screen and (min-width:1024px) {

    .input{
        font-size: 1.5rem;
    }
    
    }
/*Cards*/
.card{
    border-radius: 7px;
    box-shadow: 0 0 20px 10px #f3f3f3;
    overflow: hidden;

}

.card__header{
padding:  2rem 3rem;
}

.card__body{
    padding:  0rem 0rem;
    }



.card--primary .card__header{

    background: var(--color-primary);
    color: #fff;
}

.card--secondary .card__header{

    background: var(--color-secondary);
    color: #fff;
}

.card--primary .badge--primary{
    background: var(--color-secondary);
}

.card--secondary .badge--secondary{

    background: var(--color-primary);
}

/*Plans*/

.plan{
    transition: transform .2s ease-out;
}


.plan__name{
    color: #fff;
    margin: 0;
    font-weight: 500;
    font-size: 3rem;
}

.plan__price{
    font-size: 6rem;
}

.plan__price-cv{
    font-size: 3rem;
    color: #1f1a17;
}

.plan__billing-cycle{
    font-size: 2.4rem;
    font-weight: 300;
    opacity: 0.8;
    margin-right: 1rem;
}

.plan__description{
font-size: 5rem;
font-weight: 300;
letter-spacing: 1px;
display: block;

}
.plan__description-cv{
    font-size: 1.6rem;
    font-weight: 300;
    letter-spacing: 1px;
    display: block;
    color: #1f1a17;
    
    }

.plan .list__item{

margin-bottom: 2rem;    
}

.plan--popular{
    transform: scale(1.1);
}

.plan--popular .card__header{

    position: relative;
}

.plan--popular .card__header::before{
    content: url(../images/popular.svg);
    width: 40px;
    display: inline-block;
    position: absolute;
    top: -6px;
    right: 5%;
}

.plan:hover{
    transform: scale(1.05);
}

.plan--popular:hover{
    transform: scale(1.15);
}


@media screen and (min-width:1024px) {

    .plan__name{
        font-size: 2rem;
    }

}

@media screen and (min-width:1024px) {

    .plan__price{
        font-size: 5rem;
    }

}

@media screen and (min-width:1024px) {

    .plan__billing-cycle{
        font-size: 1.6rem;
    }

}

@media screen and (min-width:1024px) {

    .plan__description{
        font-size: 1.7rem;
    }

}
/*Media objects*/

.media{

    display: flex;
    margin-bottom: 4rem;
}

.media__title{

    margin-top: 0;
}

.media__body{

    margin: 0 2rem;
}

.media__image{
    margin-top: 1rem;
}

/*Quotes*/

.quote{
    font-size: 3rem;
    font-style: italic;
    color: var(--color-body-darker);
    line-height: 1.3;

}

.quote__text::before{

    content: open-quote;
}

.quote__text::after{

    content: close-quote;
}

.quote__author{

    font-size: 3rem;
    font-weight: 600;
    font-style: normal;
    margin-bottom: 0;
}

.quote .company{

    color: var(--color-headings);
    font-size: 2rem;
    font-style: normal;
    opacity: .4;
}

.quote__line{

    position: relative;
    bottom: 10px;
}

@media screen and (min-width:1024px) {

    .quote__text{
        font-size: 2rem;
    }

}

@media screen and (min-width:1024px) {

    .quote__author{
        font-size: 2.4rem;
    }

}

@media screen and (min-width:1024px) {

    .company{
        font-size: 1.6rem;
    }

}

/*Grids*/

.grid{
    display: grid;

}

@media screen and (min-width:768px) {

    .grid--1x2{
       grid-template-columns: 30% 80%;;
    }

}

@media screen and (min-width:1024px) {

    .grid--1x3{
       grid-template-columns: repeat(3, 1fr);
    }

}

/*Testimonial*/

.testimonial{

    padding: 3rem;
}

.block .container--testimonial{
    padding-bottom: 0;
}

.testimonial__image{
    position: relative;
}

.testimonial__image > img{

    width: 100%;
}

.testimonial__image > .icon-container{

    position: absolute;
    top: 3rem;
    right: -32px;
}

@media screen and (min-width:768px) {

    .testimonial .quote,
    .testimonial .quote__author{

        font-size: 2.4rem;
    }

    .testimonial .quote{

        margin-left: 6rem;
    }
}
/* Callouts */
.callout {
    padding: 4rem;
    border-radius: 5px;
  }
  
  .callout--primary {
    background: var(--color-primary);
    color: #fff;
  }
  
  .callout__heading {
    color: #fff;
    margin-top: 0;
    font-size: 3rem;
  }
  
  .callout .btn {
    justify-self: center;
    align-self: center;
  }
  
  .callout__content {
    text-align: center;
  }
  
  @media screen and (min-width: 768px) {
    .callout .grid--1x2 {
      grid-template-columns: 1fr auto;
    }
  
    .callout__content {
      text-align: left;
    }
  
    .callout .btn {
      justify-self: start;
      margin: 0 2rem;
    }
  }


/*Collapsibles*/

.collapsible__header{
    display: flex;
    justify-content:space-between;
   

}

.collapsible__heading{
    margin-top: 0;
    font-size: 3rem;
}

.collapsible__chevron{
    transform: rotate(-90deg);
    transition: transform 0.3s;
}

.collapsible__content{
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transition: all 0.3s;
}

.collapsible--expanded .collapsible__chevron{
    transform: rotate(0);
}

.collapsible--expanded .collapsible__content{
    max-height: 100vh;
    opacity: 1;

}

/*Blocks*/

.block{
    --padding-vertical: 6rem;
    padding: var(--padding-vertical) 0rem;


}

.block__header{
    text-align: center;
    margin-bottom: 0rem;
}
.block__heading{
    margin-top: 0;
}

.block--dark{
    background: var(--color-secondary);
    color: #7b858b;
}

.block--dark h1,
.block--dark h2,
.block--dark h3{
    color: #fff;
}

.block--skewed-right{
    padding-bottom: calc(var(--padding-vertical) + 4rem);
    clip-path: polygon(0% 0%, 100% 0%, 100% 100%, 0 90%);
}

.block--skewed-left{
    padding-bottom: calc(var(--padding-vertical) + 0rem);
    clip-path: polygon(0% 0%, 100% 0%, 100% 90%, 0 100%);
}

.container{
    max-width: 1140px;
    margin: 0 auto;
}

.container-cv{
    max-width: 1140px;
    margin-left: 50;
    margin-top: auto;
    margin-right: 50;
    margin-bottom: auto 
}

/*Navigation bars*/

.nav{
    background-color: var(--color-secondary);
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 0 1rem;
    align-items: center;
}

.nav__list{
    width: 100%;
    margin: 0;

}

.nav__item{
    padding: 0.5rem 2rem;
    border-bottom: 1px solid #222;
    font-weight: bold
    
    }

.nav__item >a{

    color: #d2d0db;
    transition: color .3s;
}

.nav__item >a:hover {

    color: #fff;
}

.nav__toggler{
    opacity: 0.5;
    transition: box-shadow .15s;
    cursor: pointer;
    padding-right: 1rem;
}

.nav.collapsible--expanded .nav__toggler{
    opacity: 1;
    box-shadow: 0 0 0 3px #666;
    border-radius: 5px;
}

.nav__brand{
    transform: translateY(5px);
}

@media screen and (min-width:768px){
    .nav__toggler{
        display: none;

    }

    .nav__list{
        width: auto;
        display: flex;
        font-size: 1.6rem;
        max-height: 100%;
        opacity: 1;
    }

    .nav__item{
        border: 0;
    }
}

/*Hero*/


.hero__tagline{
    font-size: 2rem;
    color: #b9c3cf;
    letter-spacing: 1px;
    margin: 2rem 0 0rem;

}

.hero__image{
    width: 100%;
    padding: 2rem;
}

@media screen and (min-width:768px){
    .hero{
        padding-top: 0;
    }


    .hero__content{
        text-align: left;
        align-self: center;
    }
    }

/*Domain Block*/

.block-domain .input-group{
    box-shadow: 0 0 30px 20px #e6ebee;
    border: 0;
    margin: 4rem auto;
    max-width: 670px;

}

.block-domain__prices{
    color: var(--color-headings);
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 6rem);
    font-size: 2rem;
    font-weight: 600;
    justify-items: center;
    max-width: 700px;
    margin: 0 auto;
}

@media screen and (min-width:768px){
    .block-domain__prices{
        grid-template-columns: repeat(auto-fit, minmax(10rem, 1fr));
    }
    }

    /*Plans Block*/

    .block-plans .grid{
        gap: 8rem 4rem;
    }

    .block-plans .card{
        max-width: 500px;
        margin: 0 auto;
    }

    .block-plans{
        padding-top: 0;
        padding-bottom: 1rem;
     }

     .block-plans .diensten{
        padding-bottom: 3rem;
     }


/*Features*/

.feature{
    gap: 4rem 2rem;
    margin: 12rem 0;
}

.feature:first-of-type{
    margin-top: 6rem;
}


.feauture__heading{
    margin: 1rem 0;
}

.feature__image{
    width: 100%;
    border-radius: 7px;
       
}

.feature__text{
    font-size: 2rem;
}

@media screen and (min-width: 768px) {
    .feature:nth-of-type(even) .feature__content {
      order: 2;
    }
  }

  /*Showcase Block  */
  .block-showcase__image > img{
      width: 100%;
  }

  @media screen and (min-width:768px){
      .block-showcase .grid{
          grid-template-columns: 50% 50%;
      }


      .block-showcase__image{

          justify-self: end;
      }

      .block-showcase__image > img{
        width: auto;
        max-width: 700px;
      }
      
  }

  

/*Footer*/

.footer{
    margin-top: auto;
    background: var(--color-secondary);
}

.footer a{
    color: #777;
    transition: color .3s;
    font-size: 1.6rem;
}

.footer a:hover{
    color: #fff;
}

.footer__section{
    padding: 2rem;
    border-bottom: 1px solid #393939;
}

.footer__section .list{
    margin: 0;
}

.footer__heading{
    text-transform: uppercase;
    font-weight: 600;

}

.footer__brand{
    margin-top: 5rem;
    text-align: center;
}

.footer__brand img{
    width: 100%;
    max-width: 230px;
}

.footer__copyright{
    font-size: 2.1rem;
    color: #fff;
    opacity: 0.3;
}

@media screen and (min-width: 768px) {
    .footer__sections{
        grid-template-columns: repeat(auto-fit, minmax(10rem,1fr));
    }
    .footer .collapsible__chevron{
        display: none;
    }

    .footer .collapsible__content{
        opacity: 1;
        max-height: 100%;
    }

    .footer__brand{
        order: -1;
        margin-top: 1rem;
    }

    .footer__brand img{
        width: 100%;
        max-width: 150px;
    }

    .footer__copyright{
        font-size: 1.3rem;
        
    }

    .footer__section{
        border: 0;
    }

    .footer__heading{
        font-size: 1.6rem;
    }
}

/*Landing*/

.circle__image:hover{
    transform: scale(1.5);
    transition: transform 0.5s;
}

@media screen and (min-width: 768px) {
    .circle__image-BV{
        position: relative; left: 650px; top: 50px
    }

    .circle__image-klussers{
        position:relative; left:650px; top:110px
    }

    .circle__image-storingsdienst{
        position:relative; left:450px; top:350px
    }

    .circle__image-sloten{
        position:relative; left:30px; top:450px
    }

    .circle__image-tech{
        position:relative; left:-385px; top:350px
    }

    .circle__image-housing{
        position:relative; left:-585px; top:110px
    }


}

/*test*/

.container__test{
     /* 4rows x 3columns */
    display: grid;
    grid-template: repeat(4, 50px) / repeat(3, 100px);
    border: 3px solid black;
    justify-items: center;
    align-items: center;
    border-width: 0;
    justify-content: center;
   
}

.box{
    width: 5rem;
    height: 5rem;
    background-color: white;
    color: white;
}

.test__img{
    display: flex;
    width: 5rem;
    height: 5rem;
    justify-items: start;
    align-items: flex-start;

}

.box-one{
    grid-column: 1/4;
}

.box-four{
    grid-column: 1/4;
}

.card__image{
    width: 100%;
    border-radius: 4px;
}

/*forms*/

label{
    display: block;
}

input[type="text"], [type="email"], [type="tel"], [type="password"], [type="textarea"]{
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: .7rem .7rem;
    transition: border-color .15s, box-shadow .15s;
}

input[type="text"]:focus, [type="email"]:focus, [type="tel"]:focus, [type="password"]:focus, [type="textarea"]:focus{
    border-color: var(--color-accent);
    outline: 0;
    box-shadow: 0 0 0 2px var(--color-accent);

}

textarea{
    resize: none;
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: .7rem .7rem;
    transition: border-color .15s, box-shadow .15s;
}

select{
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: .7rem .7rem;
    transition: border-color .15s, box-shadow .15s;

}

select:focus{
    border-color: var(--color-accent);
    outline: 0;
    box-shadow: 0 0 0 2px var(--color-accent);
}

textarea:focus{
    border-color: var(--color-accent);
    outline: 0;
    box-shadow: 0 0 0 2px var(--color-accent);
}
.form-group{
    margin-bottom: 1rem;
}
  ::placeholder {
    opacity: 0.7; 
  }

  .search-wrapper{
      display: flex;
      flex-direction: column;
      gap: 0.25rem;
  }

  input{
      font-size: 2rem;
      color: black;
  }

  .user-cards{
      display: grid;
      grid-template-columns: repeat(auto-fill minmax(150px, 1fr));
      gap: 0.25rem;
      margin-top: 1rem;

  }

  .test-card{
      border: 1px solid black;
      background-color: white;
      padding: 0.5rem;

  }

  .test-card > .header{
      margin-bottom: 0.25rem;
  }

  .test-card > .body{
      font-size: 1.5rem;
      color: #777;
  }

  .hide{
    display: none;
  }

/* ==============================
   Signup / Wachtwoord instellen
   ============================== */
/* Alleen de signup-container centreren */
.signup-container {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: calc(110vh - 200px); /* ruimte laten voor header+footer */
    padding: 4rem 1rem;
  }
  
  
  .signup-page .signup_card {
    background: white;
    padding: 2rem;
    border-radius: 12px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.08);
    max-width: 440px;
    width: 90%;
    text-align: center;
  }
  
.signup_status{
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
    font-size: 1.6rem;
    color: var(--color-headings);
}
  
.signup_button{
    background-color: var(--color-secondary);
    color: #fff;
    border: 2px solid var(--color-secondary);
    padding: 10px 20px;
    border-radius: 15px;
    cursor: pointer;
    font-size: 1.8rem;
    transition: background-color 0.3s ease;
    margin-top: 1.5rem;
}  




